STOFFEntry Class Reference documentation

Public Member Functions | Protected Attributes | Friends | List of all members
STOFFEntry Class Reference

basic class to store an entry in a file This contained : More...

`#include <STOFFEntry.hxx>`

## Public Member Functions
| STOFFEntry ()
| constructor
virtual | ~STOFFEntry ()
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const STOFFEntry &a) const
| basic operator==
bool | operator!= (const STOFFEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Protected Attributes
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed
std::string | m_extra
| an extra string

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFEntry const &ent)

## Detailed Description

basic class to store an entry in a file This contained :

- its begin and end positions
- its type, its name and an identificator
- a flag used to know if the file is or not parsed

## Constructor & Destructor Documentation

## ◆ STOFFEntry()

STOFFEntry::STOFFEntry | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## ◆ ~STOFFEntry()

STOFFEntry::~STOFFEntry | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ begin()

long STOFFEntry::begin | ( |  | ) | const
| inline

returns the begin offset

Referenced by StarObject::readStarFrameworkConfigItem().

## ◆ end()

long STOFFEntry::end | ( |  | ) | const
| inline

returns the end offset

Referenced by StarObject::readStarFrameworkConfigItem().

## ◆ extra()

std::string const & STOFFEntry::extra | ( |  | ) | const
| inline

retrieves the extra string

## ◆ hasName()

bool STOFFEntry::hasName | ( | std::string const & | nam | ) | const
| inline

checks if the entry name is equal to name

## ◆ hasType()

bool STOFFEntry::hasType | ( | std::string const & | typ | ) | const
| inline

returns true if the type entry == type

## ◆ id()

int STOFFEntry::id | ( |  | ) | const
| inline

returns the id

Referenced by StarObject::readStarFrameworkConfigItem().

## ◆ isParsed()

bool STOFFEntry::isParsed | ( |  | ) | const
| inline

a flag to know if the entry was parsed or not

## ◆ length()

long STOFFEntry::length | ( |  | ) | const
| inline

returns the length of the zone

Referenced by StarObject::readStarFrameworkConfigItem().

## ◆ name()

std::string const & STOFFEntry::name | ( |  | ) | const
| inline

name of the entry

## ◆ operator!=()

bool STOFFEntry::operator!= | ( | const STOFFEntry & | a | ) | const
| inline

basic operator!=

## ◆ operator==()

bool STOFFEntry::operator== | ( | const STOFFEntry & | a | ) | const
| inline

basic operator==

Referenced by operator!=().

## ◆ setBegin()

void STOFFEntry::setBegin | ( | long | off | ) |
| inline

sets the begin offset

Referenced by StarObject::readStarFrameworkConfigFile().

## ◆ setEnd()

void STOFFEntry::setEnd | ( | long | off | ) |
| inline

sets the end offset

## ◆ setExtra()

void STOFFEntry::setExtra | ( | std::string const & | s | ) |
| inline

sets the extra string

## ◆ setId()

void STOFFEntry::setId | ( | int | newId | ) |
| inline

sets the id

Referenced by StarObject::readStarFrameworkConfigFile().

## ◆ setLength()

void STOFFEntry::setLength | ( | long | l | ) |
| inline

sets the zone size

Referenced by StarObject::readStarFrameworkConfigFile().

## ◆ setName()

void STOFFEntry::setName | ( | std::string const & | nam | ) |
| inline

sets the name of the entry

## ◆ setParsed()

void STOFFEntry::setParsed | ( | bool | ok = true | ) | const
| inline

sets the flag m_parsed to true or false

## ◆ setType()

void STOFFEntry::setType | ( | std::string const & | newType | ) |
| inline

sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...

## ◆ type()

std::string const & STOFFEntry::type | ( |  | ) | const
| inline

returns the type of the entry

## ◆ valid()

bool STOFFEntry::valid | ( |  | ) | const
| inline

returns true if the zone length is positive

Referenced by StarObject::readStarFrameworkConfigItem().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFEntry const & | ent )
| friend

## Member Data Documentation

## ◆ m_begin

long STOFFEntry::m_begin
| protected

the begin of the entry.

Referenced by begin(), end(), operator==(), setBegin(), setEnd(), STOFFEntry(), and valid().

## ◆ m_extra

std::string STOFFEntry::m_extra
| protected

an extra string

Referenced by extra(), operator<<, setExtra(), and STOFFEntry().

## ◆ m_id

int STOFFEntry::m_id
| protected

an identificator

Referenced by id(), operator<<, operator==(), setId(), and STOFFEntry().

## ◆ m_length

long STOFFEntry::m_length
| protected

the size of the entry

Referenced by end(), length(), operator==(), setEnd(), setLength(), STOFFEntry(), and valid().

## ◆ m_name

std::string STOFFEntry::m_name
| protected

the name

Referenced by hasName(), name(), operator<<, operator==(), setName(), and STOFFEntry().

## ◆ m_parsed

bool STOFFEntry::m_parsed
| mutableprotected

a bool to store if the entry is or not parsed

Referenced by isParsed(), setParsed(), and STOFFEntry().

## ◆ m_type

std::string STOFFEntry::m_type
| protected

the entry type

Referenced by hasType(), operator<<, operator==(), setType(), STOFFEntry(), and type().

The documentation for this class was generated from the following files:

- STOFFEntry.hxx
- STOFFEntry.cxx